/* IMPORTS */
@import url('https://fonts.googleapis.com/css2?family=Amatic+SC&family=Lato&family=Reenie+Beanie&family=Yanone+Kaffeesatz&display=swap');

/* GENERAL SETTINGS*/

html {
  box-sizing: border-box;
  color: rgb(231, 214, 197);
  scroll-behavior: smooth;
}

*,
*:before,
*:after {
  box-sizing: inherit;
}

body {
  background-color: #402f1d;
}

ul,
li {
  list-style: none;
  margin: 0;
  padding: 0;
  display: inline;
}

a {
  color: inherit;
  text-decoration: none;
}

hr {
  height: 1em;
  border: 0;
  box-shadow: inset 0 0.7em 0.7em -0.7em rgba(231, 214, 197, 0.5);
}

.app-wrapper {
  max-width: 60em;
  display: block;
  margin: 0 auto;
  padding: 1em;
  padding-top: 0.5em;
}

.inline {
  display: inline;
}

.flex-container {
  display: flex;
  flex-wrap: wrap;
}

.hidden {
  display: none;
}
/* HEADER */

header {
  background-color: #402f1d;
  font-family: "Yanone Kaffeesatz", sans-serif;
  font-size: 1.5em;
  position: fixed;
  width: 100%;
  height: 4.5em;
  top: 0em;
  z-index: 1000;
  -webkit-box-shadow: 0 4px 6px rgba(0, 0, 0, .3);
  -moz-box-shadow: 0 4px 6px rgba(0, 0, 0, .3);
  box-shadow: 0 4px 6px rgba(0, 0, 0, .3);
}

.header-menu {
  align-items: center;
  padding-bottom: 0px;
  padding-top: 0px;
}

.logo {
  height: 5em;
  margin-right: 0;
  position: relative;
  z-index: 1000;
}

.small {
  height: 2.5em;
}

.header-menu a,
.header-menu span {
  padding: 0.5em;
  border-radius: 2em;
}

.header-menu a {
  margin-right: 1em;
}

.header-menu a:last-of-type {
  margin-right: 0.2em;
}

.header-right:hover,
.header-right:focus,
#dropdown-menu :hover,
#dropdown-menu :focus,
#dropdown-menu :active {
  background-color: white;
  color: #2e465a;
  transition: 0.5s;
}

#dropdown-menu {
  background-color: #402f1d;
  color: rgb(231, 214, 197);
  border: none;
  border-radius: 0.025em;
}

.header-left,
.header-right {
  flex-grow: 1;
}

.header-right {
  align-content: center;
  justify-content: flex-end;
}

#dropdown-menu {
  display: none;
}
/* SLIDESHOW */
#slideshow-container {
  overflow: hidden;
}
#slideshow-container figure {
	position: relative;
	width: 700%;
  margin: 0;
  margin-top: 6.5em;

  left: 0;
  animation : 21s slideshow infinite;
}

#slideshow-container figure img {
	width: 14.285714286%;
	float: left;
}

@keyframes slideshow {
	0% {
		left: 0;
	}
  14.285714286% {
		left: 0;
  }
  
	16.666666667% {
		left: -100%;
	}
	30.952380952% {
		left: -100%;
  }
  
	33.333333333% {
		left: -200%;
	}
	47.619047619% {
		left: -200%;
  }
  
	50% {
		left: -300%;
	}
	64.285714286% {
		left: -300%;
  }
  
  66.666666667% {
		left: -400%;
	}
	80.952380952% {
		left: -400%;
  }

  83.333333333% {
		left: -500%;
	}
	97.619047619% {
		left: -500%;
  }

  100% {
		left: -600%;
	}
}

/* GRID-MAIN */

.col-1,
.col-2,
.col-3,
.col-4,
.col-5,
.col-6,
.col-7,
.col-8,
.col-9,
.col-10 {
  float: left;
}

.col-1 {
  width: 10%;
}
.col-2 {
  width: 20%;
}
.col-3 {
  width: 30%;
}
.col-4 {
  width: 40%;
}
.col-5 {
  width: 50%;
}
.col-6 {
  width: 60%;
}
.col-7 {
  width: 70%;
}
.col-8 {
  width: 80%;
}
.col-9 {
  width: 90%;
}
.col-10 {
  width: 100%;
}

.row::before,
.row::after {
  content: " ";
  display: table;
}

.row::after {
  clear: both;
}

/* MAIN */

.width-100 {
  width: 100%;
}

.center {
  margin: 0 auto;
}

/* MAIN - O nás */

.headline {
  font-family: "Yanone Kaffeesatz", sans-serif;
  font-size: 2em;
  padding: 0em;
  padding-top: 3.5em;
  margin-top: 0em;
}

.text,
.signature {
  font-family: Lato, sans-serif;
  font-size: 1em;
  line-height: 1.5em;
}

.text {
  text-align: justify;
}

.signature {
  text-align: right;
}

.handwrite {
  margin-top: 0em;
  padding-top: 0em;
  font-family: "Reenie Beanie", cursive;
  font-size: 2em;
}

/* MAIN - Projekty */
/* POLAROIDS */
/* https://www.w3docs.com/snippets/css/how-to-create-stacked-paper-effect.html */

.polaroid-wrapper {
  margin: 0 auto;
  align-content: center;
  justify-content: center;
  text-align: center;
}

.polaroid {
  height: 16em;
  width: 18em;
  background: #fff;
  padding: 1rem;
  -webkit-box-shadow: 0 4px 6px rgba(0, 0, 0, .3);
  -moz-box-shadow: 0 4px 6px rgba(0, 0, 0, .3);
  box-shadow: 0 4px 6px rgba(0, 0, 0, .3);
}

.polaroid > img {
  width: 14em;
  height: auto;
}

.caption {
  color: #16264c;
  font-family: "Amatic SC", cursive;
  font-weight: 550;
  font-size: 2em;
  text-align: left;
  line-height: 1.5em;
}

.item .polaroid:before {
  content: '';
  position: absolute;
  z-index: -1;
  transition: all 0.40s;
  }

.item:nth-of-type(2n+1) {
  transform: scale(0.8, 0.8) rotate(-5deg);
  transition: all 0.35s;
  }

.item:nth-of-type(2n+1) .polaroid:before {
  transform: rotate(5deg);
  height: 20%;
  width: 47%;
  bottom: 2.5em;
  right: 1em;
  box-shadow: 0 2.1rem 2rem rgba(0, 0, 0, 0.4);
}

.item:nth-of-type(2n+2) {
  transform: scale(0.8, 0.8) rotate(-5deg);
  transition: all 0.35s;
}

.item:nth-of-type(2n+2) .polaroid:before {
  transform: rotate(5deg);
  height: 20%;
  width: 47%;
  bottom: 2.5em;
  left: 1em;
  box-shadow: 0 2.1rem 2rem rgba(0, 0, 0, 0.4);
}

.item:hover {
  filter: none;
  transform: scale(1, 1) rotate(0deg);
  transition: all 0.40s;
}

.item:hover .polaroid:before {
  content: '';
  position: absolute;
  z-index: -1;
  transform: rotate(0deg);
  height: 60%;
  width: 60%;
  bottom: 0%;
  right: 10%;
  box-shadow: 0 1rem 3rem rgba(0, 0, 0, 0.2);
  transition: all 0.35s;
}

/* FOOTER - Kontakty */
footer {
  margin: 0;
  font-family: "Yanone Kaffeesatz", sans-serif;
}

.kontakty a {

  font-size: 1.5em;
  padding: 0.5em;
  border-radius: 2em;
  margin-right: 1em;
}

.kontakty a:hover {
  background-color: white;
  color: #2e465a;
  transition: 0.5s;
}

.kontakty-wrapper {
  align-content: center;
  justify-content: center;
}

/* FOOTER - copyright */
.copyright {
  align-content: center;
  justify-content: center;
}

.footnote {
  background-color: rgb(231, 214, 197);
  color: #402f1d;
  padding-bottom: 0.5em;
}
/* MEDIA QUERIES */

@media (max-width: 550px) {
  .logo {
    height: 3em;
  }

  header {
    height: 2.7em;
    font-size: 1.3em;
  }

  .app-wrapper {
    padding-top: 0.2em;
  }

  .headline {
    padding-top: 2em;
  }

  #slideshow-container figure {
    margin-top: 2.4em;
  }
  
  .header-menu a {
  padding: 0.4em;
  }
}

/* @media (max-width: 475px) {
  .logo {
    height: 2.5em;
  }

  header {
    height: 2.25em;
    font-size: 1.08em;
  }

  .app-wrapper {
    padding-top: 0.17em;
  }

  .headline {
    padding-top: 1.7em;
  }

  #slideshow-container figure {
    margin-top: 2em;
  }
  
  .header-menu a {
  padding: 0.4em;
  }
} */

@media (max-width: 475px) {

  #dropdown-menu {
    display: block;
  }

  #dropdown-content {
    visibility: hidden;
    position: absolute;
    top: 2.55em;
    min-width: 100px;
    left: calc(100% - 100px);
    background-color: #402f1d;
    padding: 0.5em;
  }
  
  #dropdown-content a { 
    transition: border-bottom 1s ease;
    background-color: #402f1d;
    color: rgb(231, 214, 197);
    border-radius: 0px;
    border-bottom: #402f1d 2px solid;
    padding-bottom: 0px;
    line-height: 1.5em;
  }

  #dropdown-content a:hover, 
  #dropdown-content a:focus { 
    border-bottom: rgb(231, 214, 197) 2px solid;
  }

  button + #dropdown-content:active,
  button:focus + #dropdown-content {
    visibility: visible;
  }

  ul, li {
    display: block;
  }
  .logo{
    height: 3em;
  }

  /* .headline {
    padding-top: 0em;
  } */
}

@media (max-width: 250px) {
  #slideshow-container,
  .logo {
    display: none;
  }
}